package domain

type AlibabaHmMarketingCouponQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的数据     */
	ItemCouponSkuList *[]AlibabaHmMarketingCouponQueryitemsItemCouponSku `json:"item_coupon_sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetMessage(v string) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetItemCouponSkuList(v []AlibabaHmMarketingCouponQueryitemsItemCouponSku) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.ItemCouponSkuList = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaHmMarketingCouponQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingCouponQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
